Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mail
Class MailMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.mail.MailMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class MailMeta

extends BaseStepMeta
implements StepMetaInterface

Send mail step. based on Mail job entry

Since:
  28-07-2008
Author:
  Samatar

Constructor Summary
`MailMeta()`

Method Summary
`void` | `allocate(int nrFileTypes)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepinfo, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `getAuthenticationPassword()`
`String` | `getAuthenticationUser()`
`String` | `getComment()`
`String` | `getContactPerson()`
`String` | `getContactPhone()`
`String` | `getDestination()`
`String` | `getDestinationBCc()`
`String` | `getDestinationCc()`
`String` | `getDynamicFieldname()`
`String` | `getDynamicWildcard()`
`String` | `getDynamicZipFilenameField()`
`String` | `getEncoding()`
`int[]` | `getFileType()`
`String` | `getImportance()`
`boolean` | `getIncludeDate()`
`String` | `getPort()`
`String` | `getPriority()`
`String` | `getReplyAddress()`
`String` | `getReplyName()`
`String` | `getReplyToAddresses()`
`String` | `getSecureConnectionType()`
`String` | `getServer()`
`String` | `getSourceFileFoldername()`
`String` | `getSourceWildcard()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta tr, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getSubject()`
`String` | `getXML()` Produces the XML string that describes this step's information.
`String` | `getZipFilename()`
`String` | `getZipLimitSize()`
`boolean` | `isDynamicFilename()`
`boolean` | `isIncludeSubFolders()`
`boolean` | `isIncludingFiles()`
`boolean` | `isOnlySendComment()`
`boolean` | `isUseHTML()`
`boolean` | `isUsePriority()`
`boolean` | `isUsingAuthentication()`
`boolean` | `isUsingSecureAuthentication()`
`boolean` | `isZipFilenameDynamic()`
`boolean` | `isZipFiles()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setAuthenticationPassword(String authenticationPassword)`
`void` | `setAuthenticationUser(String authenticationUser)`
`void` | `setComment(String comm)`
`void` | `setContactPerson(String person)`
`void` | `setContactPhone(String phone)`
`void` | `setDefault()` Set default values
`void` | `setDestination(String dest)`
`void` | `setDestinationBCc(String destBCc)`
`void` | `setDestinationCc(String destCc)`
`void` | `setDynamicFieldname(String dynamicfield)`
`void` | `setDynamicWildcard(String dynamicwildcard)`
`void` | `setDynamicZipFilenameField(String dynamiczipfilename)`
`void` | `setEncoding(String encoding)`
`void` | `setFileType(int[] fileType)`
`void` | `setImportance(String importancein)`
`void` | `setIncludeDate(boolean incl)`
`void` | `setIncludeSubFolders(boolean incl)`
`void` | `setIncludingFiles(boolean includeFiles)`
`void` | `setisDynamicFilename(boolean isdynamic)`
`void` | `setOnlySendComment(boolean onlySendComment)`
`void` | `setPort(String port)`
`void` | `setPriority(String priorityin)`
`void` | `setReplyAddress(String reply)`
`void` | `setReplyName(String replyname)`
`void` | `setReplyToAddresses(String replytoaddresses)`
`void` | `setSecureConnectionType(String secureconnectiontypein)`
`void` | `setServer(String s)`
`void` | `setSourceFileFoldername(String sourcefile)`
`void` | `setSourceWildcard(String wildcard)`
`void` | `setSubject(String subj)`
`void` | `setUseHTML(boolean UseHTML)`
`void` | `setUsePriority(boolean usePriorityin)`
`void` | `setUsingAuthentication(boolean usingAuthentication)`
`void` | `setUsingSecureAuthentication(boolean usingSecureAuthentication)`
`void` | `setZipFilename(String zipFilename)`
`void` | `setZipFilenameDynamic(boolean isdynamic)`
`void` | `setZipFiles(boolean zipFiles)`
`void` | `setZipLimitSize(String ziplimitsize)`
`boolean` | `supportsErrorHandling()`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getFields, getID, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getFields, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps`

Constructor Detail

### MailMeta

    public MailMeta()

Method Detail

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### allocate

    public void allocate(int nrFileTypes)

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getXML

    public String getXML()
                  throws org.pentaho.di.core.exception.KettleException

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.
  Throws:
    `org.pentaho.di.core.exception.KettleException` - in case there is a conversion or XML encoding error

### setServer

    public void setServer(String s)

### getServer

    public String getServer()

### setDestination

    public void setDestination(String dest)

### setDestinationCc

    public void setDestinationCc(String destCc)

### setDestinationBCc

    public void setDestinationBCc(String destBCc)

### getDestination

    public String getDestination()

### getDestinationCc

    public String getDestinationCc()

### getDestinationBCc

    public String getDestinationBCc()

### setReplyAddress

    public void setReplyAddress(String reply)

### getReplyAddress

    public String getReplyAddress()

### setReplyName

    public void setReplyName(String replyname)

### getReplyName

    public String getReplyName()

### setSubject

    public void setSubject(String subj)

### getSubject

    public String getSubject()

### setIncludeDate

    public void setIncludeDate(boolean incl)

### setIncludeSubFolders

    public void setIncludeSubFolders(boolean incl)

### isIncludeSubFolders

    public boolean isIncludeSubFolders()

### isZipFilenameDynamic

    public boolean isZipFilenameDynamic()

### setZipFilenameDynamic

    public void setZipFilenameDynamic(boolean isdynamic)

### setisDynamicFilename

    public void setisDynamicFilename(boolean isdynamic)

### setDynamicWildcard

    public void setDynamicWildcard(String dynamicwildcard)

### setDynamicZipFilenameField

    public void setDynamicZipFilenameField(String dynamiczipfilename)

### getDynamicZipFilenameField

    public String getDynamicZipFilenameField()

### getDynamicWildcard

    public String getDynamicWildcard()

### setSourceFileFoldername

    public void setSourceFileFoldername(String sourcefile)

### getSourceFileFoldername

    public String getSourceFileFoldername()

### setSourceWildcard

    public void setSourceWildcard(String wildcard)

### getSourceWildcard

    public String getSourceWildcard()

### setDynamicFieldname

    public void setDynamicFieldname(String dynamicfield)

### getDynamicFieldname

    public String getDynamicFieldname()

### getIncludeDate

    public boolean getIncludeDate()

### isDynamicFilename

    public boolean isDynamicFilename()

### setContactPerson

    public void setContactPerson(String person)

### getContactPerson

    public String getContactPerson()

### setContactPhone

    public void setContactPhone(String phone)

### getContactPhone

    public String getContactPhone()

### setComment

    public void setComment(String comm)

### getComment

    public String getComment()

### getFileType

    public int[] getFileType()

  Returns:
    the result file types to select for attachement
  See Also:
    `ResultFile`

### setFileType

    public void setFileType(int[] fileType)

  Parameters:
    `fileType` - the result file types to select for attachement
  See Also:
    `ResultFile`

### isIncludingFiles

    public boolean isIncludingFiles()

### setIncludingFiles

    public void setIncludingFiles(boolean includeFiles)

### getZipFilename

    public String getZipFilename()

  Returns:
    Returns the zipFilename.

### getZipLimitSize

    public String getZipLimitSize()

  Returns:
    Returns the ziplimitsize.

### setZipLimitSize

    public void setZipLimitSize(String ziplimitsize)

  Parameters:
    `ziplimitsize` - The ziplimitsize to set.

### setZipFilename

    public void setZipFilename(String zipFilename)

  Parameters:
    `zipFilename` - The zipFilename to set.

### isZipFiles

    public boolean isZipFiles()

  Returns:
    Returns the zipFiles.

### setZipFiles

    public void setZipFiles(boolean zipFiles)

  Parameters:
    `zipFiles` - The zipFiles to set.

### getAuthenticationPassword

    public String getAuthenticationPassword()

  Returns:
    Returns the authenticationPassword.

### setAuthenticationPassword

    public void setAuthenticationPassword(String authenticationPassword)

  Parameters:
    `authenticationPassword` - The authenticationPassword to set.

### getAuthenticationUser

    public String getAuthenticationUser()

  Returns:
    Returns the authenticationUser.

### setAuthenticationUser

    public void setAuthenticationUser(String authenticationUser)

  Parameters:
    `authenticationUser` - The authenticationUser to set.

### isUsingAuthentication

    public boolean isUsingAuthentication()

  Returns:
    Returns the usingAuthentication.

### setUsingAuthentication

    public void setUsingAuthentication(boolean usingAuthentication)

  Parameters:
    `usingAuthentication` - The usingAuthentication to set.

### isOnlySendComment

    public boolean isOnlySendComment()

  Returns:
    the onlySendComment flag

### setOnlySendComment

    public void setOnlySendComment(boolean onlySendComment)

  Parameters:
    `onlySendComment` - the onlySendComment flag to set

### isUseHTML

    public boolean isUseHTML()

  Returns:
    the useHTML flag

### setUseHTML

    public void setUseHTML(boolean UseHTML)

  Parameters:
    `useHTML` - the useHTML to set

### getEncoding

    public String getEncoding()

  Returns:
    the encoding

### getSecureConnectionType

    public String getSecureConnectionType()

  Returns:
    the secure connection type

### setSecureConnectionType

    public void setSecureConnectionType(String secureconnectiontypein)

  Parameters:
    `secureconnectiontype` - the secureconnectiontype to set

### setReplyToAddresses

    public void setReplyToAddresses(String replytoaddresses)

  Parameters:
    `replyToAddresses` - the replyToAddresses to set

### getReplyToAddresses

    public String getReplyToAddresses()

  Returns:
    the secure replyToAddresses

### setEncoding

    public void setEncoding(String encoding)

  Parameters:
    `encoding` - the encoding to set

### isUsingSecureAuthentication

    public boolean isUsingSecureAuthentication()

  Returns:
    the usingSecureAuthentication

### setUsingSecureAuthentication

    public void setUsingSecureAuthentication(boolean usingSecureAuthentication)

  Parameters:
    `usingSecureAuthentication` - the usingSecureAuthentication to set

### getPort

    public String getPort()

  Returns:
    the port

### setPort

    public void setPort(String port)

  Parameters:
    `port` - the port to set

### setUsePriority

    public void setUsePriority(boolean usePriorityin)

  Parameters:
    `usePriority` - the usePriority to set

### isUsePriority

    public boolean isUsePriority()

  Returns:
    the usePriority flag

### getPriority

    public String getPriority()

  Returns:
    the priority

### setImportance

    public void setImportance(String importancein)

  Parameters:
    `importance` - the importance to set

### getImportance

    public String getImportance()

  Returns:
    the importance

### setPriority

    public void setPriority(String priorityin)

  Parameters:
    `priority` - the priority to set

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepinfo,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepinfo` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta tr,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `tr` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### supportsErrorHandling

    public boolean supportsErrorHandling()

  Specified by:
    `supportsErrorHandling` in interface `StepMetaInterface`
  Overrides:
    `supportsErrorHandling` in class `BaseStepMeta`
  Returns:
    true if this step supports error "reporting" on rows: the ability to send rows to a certain target step.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD